Bug 442269 - Review Request: lxappearance - Feature-rich GTK+ theme switcher for LXDE
Review Request: lxappearance - Feature-rich GTK+ theme switcher for LXDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sebastian Vahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2008-04-13 13:07 EDT by Christoph Wickert
Modified: 2009-06-13 15:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 20:33:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-04-13 13:07:08 EDT
Spec URL: http://cwickert.fedorapeople.org/review/lxappearance.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxappearance-0.1-1.fc9.src.rpm
Description: LXAppearance is a new GTK+ theme switcher developed for LXDE, the Lightweight X11 Desktop Environment. It is able to change GTK+ themes, icon themes, and fonts used by applications. All changes done by the users can be seen 
immediately in the preview area. After clicking the "Apply" button, the settings will be written to gtkrc, and all running programs will be asked to reload their themes.
Comment 1 Sebastian Vahl 2008-04-15 12:59:10 EDT
I'll do the review this evening.
Comment 2 Sebastian Vahl 2008-04-16 03:58:33 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the 
format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one 
supported architecture.
     Tested on: i386
 [x] Rpmlint output: none
 [x] Package is not relocatable.
 [x] Buildroot is correct 
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets 
other legal requirements as defined in the legal section of Packaging 
Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL (no version specified)
     License tag: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) 
in its own file, then that file, containing the text of the license(s) for the 
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as 
provided in the spec URL.
     MD5SUM this package    : f2214617af03a8b8fa577dcb068426b6
     MD5SUM upstream package: f2214617af03a8b8fa577dcb068426b6
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that 
are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or 
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI 
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains 
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=566855
 [x] Package should compile and build into binary rpms on all supported 
architectures.
     Tested on: koji scratch build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=566855
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1. The tab "available window themes" was a bit confusing because I've assumed 
that it changes the window manager theme (openbox, metacity). But it was meant 
to change the GTK2 theme _inside_ the window. This is maybe worth to be bugged 
upstream.

=== Final Notes ===
1. none


================
*** APPROVED ***
================
Comment 3 Christoph Wickert 2008-04-18 21:45:36 EDT
IMO in the Gnome/GTK world "Window theme" or "window style" is usually
considered to be the content of the window, not the borders.

New Package CVS Request
=======================
Package Name: lxappearance
Short Description: Feature-rich GTK+ theme switcher for LXDE
Owners: cwickert
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-04-22 13:26:15 EDT
I assume you want a F-9 branch as well?

cvs done (with F-9 branch added). 
Comment 5 Christoph Wickert 2008-04-30 20:33:45 EDT
Package was built for dist-f10 and dist-f9-updates-candidate, push to
updates-testing is requested. Closing.
Comment 6 Christoph Wickert 2009-05-22 22:00:53 EDT
Package Change Request
======================
Package Name: lxappearance
New Branches: EL-4 EL-5
Owners: cwickert
Comment 7 Kevin Fenzi 2009-05-23 01:25:19 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.